searchData={"items":[{"type":"task","title":"mix tablerone.download","doc":"Downloads a tabler icon to the local priv dir.\n\n    mix tablerone.download cactus\n    mix tablerone.download cactus cactus-off","ref":"Mix.Tasks.Tablerone.Download.html"},{"type":"task","title":"mix tablerone.download.downloader","doc":"","ref":"Mix.Tasks.Tablerone.Download.Downloader.html"},{"type":"function","title":"Mix.Tasks.Tablerone.Download.Downloader.get/1","doc":"","ref":"Mix.Tasks.Tablerone.Download.Downloader.html#get/1"},{"type":"module","title":"Tablerone","doc":"Tablerone is a library for downloading specific tabler icons to the local application,\nand then rendering them from the file system.","ref":"Tablerone.html"},{"type":"module","title":"Installation - Tablerone","doc":"Tablerone must be configured to know the parent application, in `config/config.exs`:\n\n```elixir\nimport Config\n\n# ...existing config\n\nconfig :tablerone, :otp_app,  \n```","ref":"Tablerone.html#module-installation"},{"type":"module","title":"Usage - Tablerone","doc":"When using new icons, they can be downloaded using the provided mix task:\n\n```shell\nmix tablerone.download    \n```\n\nTo load an icon in a heex component, the following example code may be used:\n\n```elixir\nattr :name, :atom, required: true\nattr :class, :any, default: []\n\ndef icon(assigns) do\n  name = assigns[:name]\n  icon_contents = Tablerone.icon(name)\n\n  assigns =\n    assign_new(assigns, :icon_contents, fn ->\n      class = [class: assigns[:class]] |> Phoenix.HTML.attributes_escape() |> Phoenix.HTML.safe_to_string()\n      String.replace(icon_contents, ~r{class=\"[^\"]+\"}, class)\n    end)\n\n  ~H\"\"\"\n   \n  \"\"\"\nend\n```","ref":"Tablerone.html#module-usage"},{"type":"function","title":"Tablerone.icon/2","doc":"Renders the given icon as a Phoenix component. If the icon has not been downloaded\nto the priv directory of the parent application, `icon` will raise at run time,\nwith instructions on how to run a mix task to download the icon.","ref":"Tablerone.html#icon/2"},{"type":"function","title":"Examples - Tablerone.icon/2","doc":"iex> icon = Tablerone.icon(:cactus_off)\n    iex> match?(\"  _, icon)\n    true","ref":"Tablerone.html#icon/2-examples"},{"type":"function","title":"Tablerone.path/2","doc":"Given an icon as a string or atom, returns the expected path to the svg file.\n\nThe file is saved to a `tablerone` director in the priv dir of the parent application,\nspecified by the `:tablerone, :otp_app` config.","ref":"Tablerone.html#path/2"}],"content_type":"text/markdown"}